package busbackup;


import java.io.IOException;

public class Main {

    public static byte[] dny = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    public static boolean leap = false;
    public static short startYear = 1970;


    public static void main(String[] args) {

        System.out.println(getDen((short) 1990, (byte) 4, (byte) 22));

    }

    public static void fixUnor() {
        dny[1] = (byte) (leap ? 29 : 28);
    }

    public static boolean isLeap(short year) {
        return (year % 4 == 0 || (year % 100 == 0 && year % 400 == 0));
    }

    public static int getDen(short year, byte month, byte date) {
        month--;
        int den = 3;
        
        for (int i = startYear; i < year; i++) {
            boolean curLeap = isLeap((short) i);
            den +=  (curLeap ? 2 : 1);
        }
    
        for (int j = 0; j < month; j++) {
            den += (dny[j]-28);
        }

        den += date-1;        
        den %= 7;

        return den;

    }
    
        public static String nextLine() throws IOException {
        int z;
        String ret = "";
        while ((z = ((char) (System.in.read()))) != '\n') {
            ret += (char) z;
        }
        return ret;
    }
}
